@charset "utf-8";

// element clear
@mixin clearFix {
    &:after {
        content: "";
        display: block;
        clear: both;
    }
}

// background image
@mixin backgroundImage ($image-url, $image-size) {
    background-image: url($image-url);
    background-repeat: no-repeat;
    background-size: $image-size;
}

// ellipsis
@mixin textEllipsis($line-num: 0) {
    @if $line-num == 0 {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    } @else {
        overflow: hidden;
        display: -ms-flexbox;
        display: -moz-box;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: $line-num;
    }
}

// breakpoint
@mixin breakpoint-xsmall {
    @media (max-width: 599px) {
        @content;
    }
}
@mixin breakpoint-small {
    @media (min-width: 600px) and (max-width: 1023px) {
        @content;
    }
}
@mixin breakpoint-medium {
    @media (min-width: 1024px) and (max-width: 1199px) {
        @content;
    }
}
@mixin breakpoint-large {
    @media (min-width: 1200px) and (max-width: 1599px) {
        @content;
    }
}
@mixin breakpoint-xlarge {
    @media (min-width: 1600px) {
        @content;
    }
}

@mixin breakpoint-mobile {
    @media (max-width: 767px) {
        @content;
    }
}
@mixin breakpoint-tablet {
    @media (min-width: 768px) and (max-width: 1399px) {
        @content;
    }
}
@mixin breakpoint-desktop {
    @media (min-width: 1400px) {
        @content;
    }
}
